# OR12 - Get information about an order (deprecated)

Deprecated endpointThis API is going to be removed in a future update, please use OR11 with the query parameter 'order_ids' instead.
Call FrequencyRecommended usage: On each order page viewMaximum usage: On each order page view

Endpoint: GET /api/orders/{order_id}
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Path parameters:

  - `order_id` (string, required)
    Order's identifier

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `acceptance_decision_date` (string, required)
    The date when the shop decided to accept or refuse the order

  - `can_cancel` (boolean, required)
    Indicate if the order can be cancelled

  - `can_evaluate` (boolean, required)
    Indicate if the order can be evaluated by the customer

  - `commercial_id` (string, required)
    Commercial's identifier of the order

  - `created_date` (string, required)
    Order's creation date

  - `customer` (object, required)

  - `customer.billing_address` (object, required)

  - `customer.billing_address.city` (string, required)
    Address city

  - `customer.billing_address.civility` (string)
    Civility of the person associated with the address

  - `customer.billing_address.company` (string)
    Company of the person associated with the address

  - `customer.billing_address.country` (string, required)
    Address country

  - `customer.billing_address.country_iso_code` (string, required)
    Country ISO 3166-1 code of the address
Enum: `"AFG"`, `"ALA"`, `"ALB"`, `"DZA"`, `"ASM"`, `"AND"`, `"AGO"`, `"AIA"`, `"ATA"`, `"ATG"`, `"ARG"`, `"ARM"`, `"ABW"`, `"AUS"`, `"AUT"`, `"AZE"`, `"BHS"`, `"BHR"`, `"BGD"`, `"BRB"`, `"BLR"`, `"BEL"`, `"BLZ"`, `"BEN"`, `"BMU"`, `"BTN"`, `"BOL"`, `"BES"`, `"BIH"`, `"BWA"`, `"BVT"`, `"BRA"`, `"IOT"`, `"BRN"`, `"BGR"`, `"BFA"`, `"BDI"`, `"KHM"`, `"CMR"`, `"CAN"`, `"CPV"`, `"CYM"`, `"CAF"`, `"TCD"`, `"CHL"`, `"CHN"`, `"CXR"`, `"CCK"`, `"COL"`, `"COM"`, `"COG"`, `"COD"`, `"COK"`, `"CRI"`, `"CIV"`, `"HRV"`, `"CUB"`, `"CUW"`, `"CYP"`, `"CZE"`, `"DNK"`, `"DJI"`, `"DMA"`, `"DOM"`, `"ECU"`, `"EGY"`, `"SLV"`, `"GNQ"`, `"ERI"`, `"EST"`, `"ETH"`, `"FLK"`, `"FRO"`, `"FJI"`, `"FIN"`, `"FRA"`, `"GUF"`, `"PYF"`, `"ATF"`, `"GAB"`, `"GMB"`, `"GEO"`, `"DEU"`, `"GHA"`, `"GIB"`, `"GRC"`, `"GRL"`, `"GRD"`, `"GLP"`, `"GUM"`, `"GTM"`, `"GGY"`, `"GIN"`, `"GNB"`, `"GUY"`, `"HTI"`, `"HMD"`, `"VAT"`, `"HND"`, `"HKG"`, `"HUN"`, `"ISL"`, `"IND"`, `"IDN"`, `"IRQ"`, `"IRL"`, `"IMN"`, `"ISR"`, `"ITA"`, `"JAM"`, `"JPN"`, `"JEY"`, `"JOR"`, `"KAZ"`, `"KEN"`, `"KIR"`, `"KOR"`, `"KWT"`, `"KGZ"`, `"LAO"`, `"LVA"`, `"LBN"`, `"LSO"`, `"LBR"`, `"LBY"`, `"LIE"`, `"LTU"`, `"LUX"`, `"MAC"`, `"MKD"`, `"MDG"`, `"MWI"`, `"MYS"`, `"MDV"`, `"MLI"`, `"MLT"`, `"MHL"`, `"MTQ"`, `"MRT"`, `"MUS"`, `"MYT"`, `"MEX"`, `"FSM"`, `"MDA"`, `"MCO"`, `"MNG"`, `"MNE"`, `"MSR"`, `"MAR"`, `"MOZ"`, `"MMR"`, `"NAM"`, `"NRU"`, `"NPL"`, `"NLD"`, `"NCL"`, `"NZL"`, `"NIC"`, `"NER"`, `"NGA"`, `"NIU"`, `"NFK"`, `"MNP"`, `"NOR"`, `"OMN"`, `"PAK"`, `"PLW"`, `"PSE"`, `"PAN"`, `"PNG"`, `"PRY"`, `"PER"`, `"PHL"`, `"PCN"`, `"POL"`, `"PRT"`, `"PRI"`, `"QAT"`, `"REU"`, `"ROU"`, `"RUS"`, `"RWA"`, `"BLM"`, `"SHN"`, `"KNA"`, `"LCA"`, `"MAF"`, `"SPM"`, `"VCT"`, `"WSM"`, `"SMR"`, `"STP"`, `"SAU"`, `"SEN"`, `"SRB"`, `"SYC"`, `"SLE"`, `"SGP"`, `"SXM"`, `"SVK"`, `"SVN"`, `"SLB"`, `"SOM"`, `"ZAF"`, `"SGS"`, `"SSD"`, `"ESP"`, `"LKA"`, `"SUR"`, `"SJM"`, `"SWZ"`, `"SWE"`, `"CHE"`, `"TWN"`, `"TJK"`, `"TZA"`, `"THA"`, `"TLS"`, `"TGO"`, `"TKL"`, `"TON"`, `"TTO"`, `"TUN"`, `"TUR"`, `"TKM"`, `"TCA"`, `"TUV"`, `"UGA"`, `"UKR"`, `"ARE"`, `"GBR"`, `"USA"`, `"UMI"`, `"URY"`, `"UZB"`, `"VUT"`, `"VEN"`, `"VNM"`, `"VGB"`, `"VIR"`, `"WLF"`, `"YEM"`, `"ZMB"`, `"ZWE"`

  - `customer.billing_address.firstname` (string)
    First name of the person associated with the address

  - `customer.billing_address.lastname` (string, required)
    Last name of the person associated with the address

  - `customer.billing_address.phone` (string)
    Phone

  - `customer.billing_address.phone_secondary` (string)
    Phone secondary

  - `customer.billing_address.state` (string)
    Address state

  - `customer.billing_address.street_1` (string, required)
    First information line of the address street, mandatory except if country_iso_code = "JPN".

  - `customer.billing_address.street_2` (string)
    Second information line of the address street

  - `customer.billing_address.zip_code` (string)
    Address zip code

  - `customer.civility` (string)

  - `customer.customer_id` (string, required)

  - `customer.email` (string, required)

  - `customer.firstname` (string, required)

  - `customer.lastname` (string, required)

  - `customer.shipping_address` (object, required)

  - `customer.shipping_address.additional_info` (string)

  - `customer.shipping_address.city` (string, required)
    Address city

  - `customer.shipping_address.civility` (string)
    Civility of the person associated with the address

  - `customer.shipping_address.company` (string)
    Company of the person associated with the address

  - `customer.shipping_address.country` (string, required)
    Address country

  - `customer.shipping_address.country_iso_code` (string, required)
    Country ISO 3166-1 code of the address
Enum: `"AFG"`, `"ALA"`, `"ALB"`, `"DZA"`, `"ASM"`, `"AND"`, `"AGO"`, `"AIA"`, `"ATA"`, `"ATG"`, `"ARG"`, `"ARM"`, `"ABW"`, `"AUS"`, `"AUT"`, `"AZE"`, `"BHS"`, `"BHR"`, `"BGD"`, `"BRB"`, `"BLR"`, `"BEL"`, `"BLZ"`, `"BEN"`, `"BMU"`, `"BTN"`, `"BOL"`, `"BES"`, `"BIH"`, `"BWA"`, `"BVT"`, `"BRA"`, `"IOT"`, `"BRN"`, `"BGR"`, `"BFA"`, `"BDI"`, `"KHM"`, `"CMR"`, `"CAN"`, `"CPV"`, `"CYM"`, `"CAF"`, `"TCD"`, `"CHL"`, `"CHN"`, `"CXR"`, `"CCK"`, `"COL"`, `"COM"`, `"COG"`, `"COD"`, `"COK"`, `"CRI"`, `"CIV"`, `"HRV"`, `"CUB"`, `"CUW"`, `"CYP"`, `"CZE"`, `"DNK"`, `"DJI"`, `"DMA"`, `"DOM"`, `"ECU"`, `"EGY"`, `"SLV"`, `"GNQ"`, `"ERI"`, `"EST"`, `"ETH"`, `"FLK"`, `"FRO"`, `"FJI"`, `"FIN"`, `"FRA"`, `"GUF"`, `"PYF"`, `"ATF"`, `"GAB"`, `"GMB"`, `"GEO"`, `"DEU"`, `"GHA"`, `"GIB"`, `"GRC"`, `"GRL"`, `"GRD"`, `"GLP"`, `"GUM"`, `"GTM"`, `"GGY"`, `"GIN"`, `"GNB"`, `"GUY"`, `"HTI"`, `"HMD"`, `"VAT"`, `"HND"`, `"HKG"`, `"HUN"`, `"ISL"`, `"IND"`, `"IDN"`, `"IRQ"`, `"IRL"`, `"IMN"`, `"ISR"`, `"ITA"`, `"JAM"`, `"JPN"`, `"JEY"`, `"JOR"`, `"KAZ"`, `"KEN"`, `"KIR"`, `"KOR"`, `"KWT"`, `"KGZ"`, `"LAO"`, `"LVA"`, `"LBN"`, `"LSO"`, `"LBR"`, `"LBY"`, `"LIE"`, `"LTU"`, `"LUX"`, `"MAC"`, `"MKD"`, `"MDG"`, `"MWI"`, `"MYS"`, `"MDV"`, `"MLI"`, `"MLT"`, `"MHL"`, `"MTQ"`, `"MRT"`, `"MUS"`, `"MYT"`, `"MEX"`, `"FSM"`, `"MDA"`, `"MCO"`, `"MNG"`, `"MNE"`, `"MSR"`, `"MAR"`, `"MOZ"`, `"MMR"`, `"NAM"`, `"NRU"`, `"NPL"`, `"NLD"`, `"NCL"`, `"NZL"`, `"NIC"`, `"NER"`, `"NGA"`, `"NIU"`, `"NFK"`, `"MNP"`, `"NOR"`, `"OMN"`, `"PAK"`, `"PLW"`, `"PSE"`, `"PAN"`, `"PNG"`, `"PRY"`, `"PER"`, `"PHL"`, `"PCN"`, `"POL"`, `"PRT"`, `"PRI"`, `"QAT"`, `"REU"`, `"ROU"`, `"RUS"`, `"RWA"`, `"BLM"`, `"SHN"`, `"KNA"`, `"LCA"`, `"MAF"`, `"SPM"`, `"VCT"`, `"WSM"`, `"SMR"`, `"STP"`, `"SAU"`, `"SEN"`, `"SRB"`, `"SYC"`, `"SLE"`, `"SGP"`, `"SXM"`, `"SVK"`, `"SVN"`, `"SLB"`, `"SOM"`, `"ZAF"`, `"SGS"`, `"SSD"`, `"ESP"`, `"LKA"`, `"SUR"`, `"SJM"`, `"SWZ"`, `"SWE"`, `"CHE"`, `"TWN"`, `"TJK"`, `"TZA"`, `"THA"`, `"TLS"`, `"TGO"`, `"TKL"`, `"TON"`, `"TTO"`, `"TUN"`, `"TUR"`, `"TKM"`, `"TCA"`, `"TUV"`, `"UGA"`, `"UKR"`, `"ARE"`, `"GBR"`, `"USA"`, `"UMI"`, `"URY"`, `"UZB"`, `"VUT"`, `"VEN"`, `"VNM"`, `"VGB"`, `"VIR"`, `"WLF"`, `"YEM"`, `"ZMB"`, `"ZWE"`

  - `customer.shipping_address.firstname` (string)
    First name of the person associated with the address

  - `customer.shipping_address.internal_additional_info` (string)

  - `customer.shipping_address.lastname` (string, required)
    Last name of the person associated with the address

  - `customer.shipping_address.phone` (string)
    Phone

  - `customer.shipping_address.phone_secondary` (string)
    Phone secondary

  - `customer.shipping_address.state` (string)
    Address state

  - `customer.shipping_address.street_1` (string, required)
    First information line of the address street, mandatory except if country_iso_code = "JPN".

  - `customer.shipping_address.street_2` (string)
    Second information line of the address street

  - `customer.shipping_address.zip_code` (string)
    Address zip code

  - `has_customer_message` (boolean, required)
    Indicate if the customer has sent a message related to this order

  - `has_incident` (boolean, required)
    Indicate if order has an incident on at least one order line

  - `has_invoice` (boolean, required)
    Is an invoice available for this order.

  - `last_updated_date` (string, required)
    Last update date of the order

  - `order_id` (string, required)
    Order's identifier

  - `order_lines` (array, required)
    Order lines

  - `order_lines.can_open_incident` (boolean, required)
    Indicate if an incident can be opened on the order line

  - `order_lines.can_refund` (boolean, required)
    Indicate whether the order line full amount can be refunded

  - `order_lines.category_code` (string, required)
    Category code of the product associated with the line

  - `order_lines.category_label` (string, required)
    Category label of the product associated with the line

  - `order_lines.commission_fee` (number, required)
    Order line's commission fee

  - `order_lines.commission_rate_vat` (number, required)
    Commission VAT rate applied for the order line.

  - `order_lines.commission_vat` (number, required)
    Order line's commission VAT

  - `order_lines.created_date` (string, required)
    Order line's creation date

  - `order_lines.debited_date` (string, required)
    Debited date of the order line

  - `order_lines.description` (string, required)
    Order line's description

  - `order_lines.last_updated_date` (string, required)
    Last update date of the order line

  - `order_lines.offer_id` (integer, required)
    Associated offer's id

  - `order_lines.offer_sku` (string, required)
    Associated offer sku (this is the sku of the offer defined by the shop)

  - `order_lines.offer_state_code` (string, required)
    State of the offer associated with the line

  - `order_lines.order_line_additional_fields` (array, required)
    List of custom fields

  - `order_lines.order_line_additional_fields.code` (string, required)
    Custom field's code

  - `order_lines.order_line_additional_fields.type` (string)
    Custom field's type
Enum: `"STRING"`, `"DATE"`, `"NUMERIC"`, `"BOOLEAN"`, `"LINK"`, `"REGEX"`, `"TEXTAREA"`, `"LIST"`, `"MULTIPLE_VALUES_LIST"`
    Enum: "BOOLEAN", "DATE", "LINK", "LIST", "MULTIPLE_VALUES_LIST", "NUMERIC", "REGEX", "STRING", "TEXTAREA"

  - `order_lines.order_line_id` (string, required)
    Order line's identifier

  - `order_lines.order_line_index` (integer, required)
    Order line's index

  - `order_lines.order_line_state` (string, required)
    Order line's state
Enum: `"STAGING"`, `"WAITING_ACCEPTANCE"`, `"WAITING_DEBIT"`, `"WAITING_DEBIT_PAYMENT"`, `"SHIPPING"`, `"SHIPPED"`, `"TO_COLLECT"`, `"RECEIVED"`, `"CLOSED"`, `"REFUSED"`, `"CANCELED"`, `"INCIDENT_OPEN"`, `"REFUNDED"`
See deprecated valuesDeprecated values: `"WAITING_REFUND"`, `"WAITING_REFUND_PAYMENT"`

  - `order_lines.order_line_state_reason_code` (string, required)
    Reason code of the order line's state

  - `order_lines.order_line_state_reason_label` (string, required)
    Reason label of the order line's state

  - `order_lines.price` (number, required)
    Order line's price without shipping price

  - `order_lines.price_additional_info` (string)
    Price additional information of the offer

  - `order_lines.price_unit` (number, required)
    Unit price for the offer associated with the order line

  - `order_lines.product_sku` (string, required)
    Product's sku associated with the line

  - `order_lines.product_title` (string, required)
    Product's title associated with the line

  - `order_lines.quantity` (integer, required)
    Product's quantity for the order line

  - `order_lines.received_date` (string, required)
    Date of receipt of the product

  - `order_lines.shipped_date` (string, required)
    Shipped date of the order line

  - `order_lines.shipping_price` (number, required)
    Total price of the shipping price of the order line

  - `order_lines.shipping_price_additional_unit` (number, required)
    Price of the additional of the shipping price unit

  - `order_lines.shipping_price_unit` (number, required)
    Unit price of the shipping price

  - `order_lines.total_commission` (number, required)
    Order line's total commission (sum of the commission fee and the commission vat).

  - `order_lines.total_price` (number, required)
    Order line's price with shipping price

  - `order_state` (string, required)
    Order's state
Enum: `"STAGING"`, `"WAITING_ACCEPTANCE"`, `"WAITING_DEBIT"`, `"WAITING_DEBIT_PAYMENT"`, `"SHIPPING"`, `"SHIPPED"`, `"TO_COLLECT"`, `"RECEIVED"`, `"CLOSED"`, `"REFUSED"`, `"CANCELED"`
See deprecated valuesDeprecated values: `"WAITING_REFUND"`, `"WAITING_REFUND_PAYMENT"`

  - `order_state_reason_code` (string, required)
    Reason code of the order state

  - `order_state_reason_label` (string, required)
    Reason label of the order state

  - `paymentType` (string, required)
    Payment's type used by the customer to pay this orderThis field has been replaced by "payment_type" and will be removed soon.

  - `payment_type` (string, required)
    Payment's type used by the customer to pay this order

  - `price` (number, required)
    Order's price (sum of order line price)

  - `shipping_company` (string)
    Shipping company

  - `shipping_price` (number, required)
    Order's shipping price (sum of order line shipping price)

  - `shipping_tracking` (string)
    Shipping tracking

  - `shipping_tracking_url` (string)
    Shipping tracking url

  - `shipping_type_code` (string, required)
    Code of shipping's type

  - `shipping_type_label` (string, required)
    Label of shipping's type

  - `shipping_zone_code` (string, required)
    Code of shipping's zone

  - `shipping_zone_label` (string, required)
    Label of shipping's zone

  - `shop_id` (integer, required)
    Shop's identifier

  - `shop_name` (string, required)
    Shop's name

  - `total_commission` (number, required)
    Order's total commission (sum of the order line total commission)

  - `total_price` (number, required)
    Order's total price (sum of the order price and the order shipping price)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

